Push API

Last updated:2026-06-11
Expand all
Push API

Push a notification or message to a single device or a list of devices.
The content pushed can only be JSON Represents a push object.

This is Push API Recent version.

compared to API v2 version, the improvements of v3 version are:

  • Completely based on https and support http2, no longer available http access;
  • use HTTP Basic Authentication way to do access authorization. This whole API Requests can be made using the common HTTP Tools to complete, such as:curl, browser plug-ins, etc.;
  • Push content is fully used JSON format;
  • Supported features have been improved: support for more tag And or operations; notifications or customized messages can be sent separately, or notifications and customized messages can be pushed at the same time;windows phone Currently there are only notifications.

Calling address

https://api.jpush.cn/v3/push

Call verification

For details, see REST API Outlined Authentication method illustrate.

Request example

Request header

> POST /v3/push HTTP/1.1 > Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==
          > POST /v3/push HTTP/1.1
> Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==

        
This code block is shown in the floating window

Request body

{ "platform": "all", "audience": { "tag": [ "深圳", "北京" ] }, "notification": { "alert": "Hello, {{content}}!", "android": { "alert": "Hi, JPush!", "title": "Send to Android", "builder_id": 1, "large_icon": "http://www.jiguang.cn/largeIcon.jpg", "intent": { "url": "intent:#Intent;component=com.jiguang.push/com.example.jpushdemo.SettingActivity;end" }, "extras": { "newsid": 321 } }, "ios": { "alert": "Hi, JPush!", "sound": "default", "badge": "+1", "thread-id": "default", "extras": { "newsid": 321 } }, "hmos" : { "alert":"hmos alert", "title":"hmos titile", "intent": { "url":"scheme://test?key1=val1&key2=val2" }, "badge_add_num":1, "badge_set_num":1, "extras": { "age":18 }, "category":"IM", "test_message":false, "receipt_id":"abc1212", "large_icon":"https://www.jiguang.cn/largeIcon.jpg", "style":0, "push_type": 0 }, "voip": { // 此功能需要 JPush iOS SDK v3.3.2 及以上版本支持 "key": "value" // 任意自定义 key/value 对,api 透传下去 }, "quickapp": { "alert": "Hi, JPush!", "title": "Send to QuickApp", "page": "/page1" } }, "message": { "msg_content": "Hi,JPush", "content_type": "text", "title": "msg", "extras": { "key": "value" } }, "sms_message": { "temp_id": 1250, "temp_para": { "code": "123456" }, "delay_time": 3600, "active_filter": false }, "options": { "time_to_live": 60, "apns_production": false, "apns_collapse_id": "jiguang_test_201706011100" }, "callback": { "url": "http://www.bilibili.com", "params": { "name": "joe", "age": 26 }, "type": 3 }, "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909b26e" }
          {
    "platform": "all",
    "audience": {
        "tag": [
            "深圳",
            "北京"
        ]
    },
    "notification": {
        "alert": "Hello, {{content}}!",
        "android": {
            "alert": "Hi, JPush!",
            "title": "Send to Android",
            "builder_id": 1,
            "large_icon": "http://www.jiguang.cn/largeIcon.jpg",
            "intent": {
                "url": "intent:#Intent;component=com.jiguang.push/com.example.jpushdemo.SettingActivity;end"
            },
            "extras": {
                "newsid": 321
            }
        },
        "ios": {
            "alert": "Hi, JPush!",
            "sound": "default",
            "badge": "+1",
            "thread-id": "default",
            "extras": {
                "newsid": 321
            }
        },
        "hmos" : {
            "alert":"hmos alert",
            "title":"hmos titile",
            "intent": {
                "url":"scheme://test?key1=val1&key2=val2"
            },
            "badge_add_num":1,
            "badge_set_num":1,
            "extras": {
                "age":18
            },
            "category":"IM",
            "test_message":false,
            "receipt_id":"abc1212",
            "large_icon":"https://www.jiguang.cn/largeIcon.jpg",
            "style":0,
            "push_type": 0
        },
        "voip": { // 此功能需要 JPush iOS SDK v3.3.2 及以上版本支持
            "key": "value" // 任意自定义 key/value 对,api 透传下去
        },
        "quickapp": {
            "alert": "Hi, JPush!",
            "title": "Send to QuickApp",
            "page": "/page1"
        }
    },
    "message": {
        "msg_content": "Hi,JPush",
        "content_type": "text",
        "title": "msg",
        "extras": {
            "key": "value"
        }
    },
    "sms_message": {
        "temp_id": 1250,
        "temp_para": {
            "code": "123456"
        },
        "delay_time": 3600,
        "active_filter": false
    },
    "options": {
        "time_to_live": 60,
        "apns_production": false,
        "apns_collapse_id": "jiguang_test_201706011100"
    },
    "callback": {
        "url": "http://www.bilibili.com",
        "params": {
            "name": "joe",
            "age": 26
        },
        "type": 3
    },
    "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909b26e"
}

        
This code block is shown in the floating window

Push parameters

Pushed parameter structure. Note that some parameters cannot be used at the same time. See the table below for details:

Keywords Options meaning
platform Required Push platform settings
audience Required Push device designation
notification Optional
  • The notification content body is the content pushed to the client.
  • and message There must be one of the two, and both can coexist.
  • alert Optional For details of notification content on each platform, see alert
    android Optional Android Notifications on the platform, please see android
    ios Optional iOS on the platform APNs Notification structure, see ios
    quickapp Optional Notification structure on the quick application platform, see for details quickapp
    hmos Optional Notification structure on Hongmeng platform, please see hmos
    voip Optional iOS VOIP Function. This type of push supports and iOS of Notification Notifications coexist, see for details voip
    message Optional
  • The message content body is the content pushed to the client.
  • and notification There must be one of the two, and both can coexist.
  • inapp_message Optional
  • For the notification bar message type, it needs to be matchednotificationUsed together with parameters, users whose notification permission is turned off can enable this feature.
  • Incompatible message coexist at the same time.
  • live_activity Optional
  • Real-time active content body.
  • Incompatible notification or message etc. coexist.
  • sms_message Optional SMS channel supplements delivery content
    options Optional Push parameters
    callback Optional callback parameters
    notification_3rd Optional
  • Customize the message to the content body of the manufacturer's notification.
  • and message used together.
  • cid Optional used to prevent api An identifier defined by the caller's retries resulting in repeated pushes from the server. For details on how to obtain it, see Advanced features API

    platform:Push platform

    JPush Currently supported Android, iOS, QuickApp,HarmonyOS Push on four platforms. The keywords are: "android", "ios", "quickapp", "hmos"。

    If the target platform is iOS platform, push Notification when needed options pass apns_production field to set the push environment.True Indicates pushing to the production environment,False Indicates that the development environment is to be pushed; if not specified, the production environment is pushed; it can only be pushed to one environment at a time.


    Push to all platforms:

    {"platform" : "all"}
              {"platform" : "all"}
    
            
    This code block is shown in the floating window

    Specify a specific push platform:

    {"platform" : ["android", "ios","quickapp","hmos"] }
              {"platform" : ["android", "ios","quickapp","hmos"] }
    
            
    This code block is shown in the floating window

    audience:Push target

    Push device object, indicating the list of devices to which a push can be pushed. Confirm push device object,JPush A variety of methods are provided, such as: alias, tag, registration ID, grouping, broadcast, etc.

    push target

    There are several ways to select equipment outside of broadcast:

    Keywords type meaning illustrate Remark
    all String broadcast Push to all devices
  • Based on business optimization needs,JiguangAt 2020 On March 10, 2020, the frequency of "Broadcast Push" was limited and adjusted to 10 times per day. When the call limit is exceeded, an error code will be returned. 2008, the official website console will work with Push API Synchronous adjustments.
  • Note: This adjustment only limits broadcasts and does not affect push outside broadcasts. If a higher frequency is required for broadcast push, please contact business , please read for details announcement
  • tag JSON Array Tag OR array. There is an OR relationship between multiple tags, that is, a union.
  • Use tags to perform large-scale device attribute and user attribute grouping. This function is VIP User functions.
  • Up to 20 can be pushed at one time.
  • valid tag Composition: letters (case sensitive), numbers, underscores, Chinese characters, special characters @!#$&*+=.|¥.
  • Limit: each tag The length is limited to 40 bytes. (To judge the length, you need to use UTF-8 coding)
  • tag_and JSON Array Label AND array. between multiple tags AND Relationship, that is, intersection.
  • This function is VIP User functions, note that with tag distinguish.
  • Up to 20 can be pushed at one time.
  • tag_not JSON Array Label NOT array. Between multiple labels, first take the union of multiple labels, and then take the complement of the result.
  • This function is VIP User functions.
  • Up to 20 can be pushed at one time.
  • alias JSON Array Alias array. There is an OR relationship between multiple aliases, that is, a union.
  • Use an alias to identify a user. A device can only be bound to one alias, but multiple devices can be bound to the same alias.
  • Most push at one time 1000 indivual.
  • valid alias Composition: letters (case sensitive), numbers, underscores, Chinese characters, special characters @!#$&*+=.|¥.
  • Limit: each alias The length is limited to 40 bytes. (To judge the length, you need to use UTF-8 coding)
  • registration_id JSON Array Registration ID array. There is an OR relationship between multiple registration IDs, that is, a union.
  • Device identification, client integration SDK This value can be obtained later.
  • Most push at one time 1000 indivual.
  • If you push once registration_id value exceeds 1000, can be used directly File push Function.
  • segment JSON Array user segment ID Created on pageuser segmentID. Defined as an array, but currently limited to pushing one at a time. The current limit is that you can only push one at a time.
    abtest JSON Array A/B Test ID Created on page A/B The ID of the test. Defined as an array, but currently limited to pushing one at a time. Currently the limit is only one push at a time.
    live_activity_id String Real-time activity identification correspond iOS SDK liveActivityId For the value, refer to the client:registerLiveActivity。 This method cannot be used with otheraudienceMethods can be used in combination, such as not allowed (live_activity + tag combination).

    At least one of the above types is required. If the value array length is 0, it means the type does not exist.

    These types can coexist (live_activity_idExcept), the implicit relationship between multiple items is AND, that is, taking the intersection of several types of results.

    For example:

    "audience" : {"tag" : [ "tag1", "tag2"], "tag_and" : ["tag3", "tag4"], "tag_not" : ["tag5", "tag6"] }

    Calculate first"tag"Result of field tag1 或 tag2=A;

    Calculate again"tag_and"Result of field tag3 且 tag4=B;

    Calculate again"tag_not"Result of field 非 (tag5 或 tag6)=C;

    "audience"The final result is A 且 B 且 C


    Example

    • Push to all (broadcast):
    { "platform": "all", "audience" : "all", "notification" : { "alert" : "Hi, JPush!", "android" : { "alert" : "Hi, JPush!" }, "ios" : { "extras" : { "newsid" : 321 } } } }
              {
       "platform": "all",
       "audience" : "all",
       "notification" : {
            "alert" : "Hi, JPush!",
            "android" : {
                "alert" : "Hi, JPush!"
            },
            "ios" : {
                "extras" : {
                    "newsid" : 321
                }
            }
        }
    }
    
            
    This code block is shown in the floating window
    • Push to multiple tags (as long as they are within the scope of any tag): in Shenzhen, Guangzhou, or Beijing
    { "audience" : { "tag" : [ "深圳", "广州", "北京"] } }
              {
        "audience" : {
            "tag" : [ "深圳", "广州", "北京"]
        }
    }
    
            
    This code block is shown in the floating window
    • Push to multiple tags (need to be within the scope of multiple tags at the same time): in Shenzhen and "female"
    { "audience" : { "tag_and" : [ "深圳", "女"] } }
              {
        "audience" : {
            "tag_and" : [ "深圳", "女"]
        }
    }
    
            
    This code block is shown in the floating window
    • Push to multiple aliases:
    { "audience" : { "alias" : [ "4314", "892", "4531"] } }
              {
        "audience" : {
            "alias" : [ "4314", "892", "4531"]
        }
    }
    
            
    This code block is shown in the floating window
    • Push to multiple registration IDs:
    { "audience" : { "registration_id" : [ "4312kjklfds2", "8914afd2", "45fdsa31"] } }
              {
        "audience" : {
            "registration_id" : [ "4312kjklfds2", "8914afd2", "45fdsa31"]
        }
    }
    
            
    This code block is shown in the floating window
    • Can push multiple specified push targets at the same time: in Shenzhen or Guangzhou, and are "female" and "member"
    { "audience" : { "tag" : [ "深圳", "广州"], "tag_and" : ["女", "会员"] } }
              {
        "audience" : {
            "tag" : [ "深圳", "广州"],
            "tag_and" : ["女", "会员"]
        }
    }
    
            
    This code block is shown in the floating window
    • Push to specified real-time activities:
    { "audience" : { "live_activity_id" : "312kjklds2" } }
              {
        "audience" : {
            "live_activity_id" : "312kjklds2"
        }
    }
    
            
    This code block is shown in the floating window

    notification:notify

    The "notification" object is one of the pushed entity content objects (the other is the "message"), which will be pushed to the client as a "notification".
    Its subordinate attributes include 4 types, 3 platform attributes, and a "alert" attribute.

    alert

    • The content of the notification may only have this most basic attribute on each platform. "alert"。
    • " of this location"alert" attribute (directly in notification Object) is a shortcut definition for each platform. alert If the information is the same, this definition shall prevail. If each platform has a definition, override the definition here.

    Example:

    { "notification": { "alert": "Hello, JPush!" } }
              {
        "notification": {
            "alert": "Hello, JPush!"
        }
    }
    
            
    This code block is shown in the floating window

    android

    Android notifications on the platform,JPush SDK Display according to a certain notification bar style.

    Supported fields are:

    Keywords type Options meaning illustrate
    alert string Required Notification content
  • After being specified here, it will override the unified one specified by the superior. alert information.
  • The content can be an empty string, which means it will not be displayed in the notification bar.
  • For details on the restrictions on this field of each push channel, see Push limits
  • title string Optional Notification title
  • If specified, the original display in the notification App name where it will be displayed title。
  • For details on the restrictions on this field of each push channel, see Push limits
  • builder_id int Optional Notification bar style ID
  • Android SDK Can Set notification bar style
  • Specify the notification style based on the style ID.
  • android 8.0 Start recommending NotificationChannel Configuration
  • channel_id String Optional android notify channel_id
  • according to channel ID to specify the notification bar display effect, no more than 1000 byte.
  • Android 8.0 It can be started NotificationChannel Configuration
  • options.third_party_channel Xiaomi,OPPO There are also parameters from Huawei manufacturers. channel_id If the field is populated, it will be used first. If it is not populated, the definition of this field will prevail.
  • Special note: According to 「vivolocal notification stipulate, passApplong connectionJiguangRemotely delivered by channelPushalso belongs tovivoLocal notification scope, developers must pay attention to the channel_id The value needs to be inAppThe code layer is created and needs to be passedvivoOpen platform review
  • category string Optional Notification bar message category entries
  • completely dependent on rom manufacturer to category processing strategy.
  • Note 1: Huawei from 2023.09.15 Start based on"Huawei Message Classification Standard" To control and push local notifications, please refer to:"Huawei Local Notification Frequency and Classification Control Notice", this field value corresponds to Huawei's "local notification"categoryValue, passed by the developerJiguangIf the value of this field is passed when the service initiates a push, it must be passed in accordance with Huawei's official requirements.JiguangWill automatically adapt to Huawei local notificationsimportanceTo obtain the value, no additional processing is required by the developer.
  • Note 2: Considering that one push contains multiple vendor users, it is recommended that the field values ​​passed here should be the same as yours.APPCreated in development codechannelEffect correspondence (categoryvalue), it is best to create a newchannelId, to avoid that it has been created and cannot be modified.
  • officialcategoryYou can also refer to the classification value rulesHuawei message classification correspondence table
  • priority int Optional Notification bar display priority
  • The default is 0, and the range is -2~2.
  • Note 1: Huawei from 2023.09.15 Start based on"Huawei Message Classification Standard" To control and push local notifications, please refer to:"Huawei Local Notification Frequency and Classification Control Notice", developers passJiguangWhen the service initiates a push, if this field value is passed, please note that this field must be consistent with category Used at the same time; otherwise, if passedcategory, when this value is not passedJiguangIt will automatically help you adapt the processing priority.
  • priority = -2, corresponds to Huawei local notification importance The level is IMPORTANCE_MIN;priority = 0, corresponds to Huawei local notification importance The level is IMPORTANCE_DEFAULT。
  • You can also refer to the official message priority value rules.Huawei message classification correspondence table
  • JiguangValues ​​-2 to -1 correspond to FCM value normal,JiguangValues ​​0~2 correspond to FCM value high。
  • style int Optional Notification bar style type Used to specify the notification bar style type, the default is 0.
  • 1:bigText
  • 2:Inbox
  • 3:bigPicture
  • Special note: The actual display effect is subject to the terminal device and is determined by the device system.
  • alert_type int Optional Notification reminder method The optional range is -1~7, and the default is -1. Right now0111Binary, the second digit from the left represents light, the third representative vibrate, the fourth representative sound。 0: Not effective, 1: Effective. like: Notification.DEFAULT_ALL = -1 ,Notification.DEFAULT_SOUND = 1, Notification.DEFAULT_VIBRATE = 2, Notification.DEFAULT_LIGHTS = any "or" combination of 4.
    big_text string Optional Large text notification bar style
  • when style = 1, the content will be displayed as large text in the notification bar.
  • If there is no filling Manufacturer big_text, this will also be used by default big_text Field display.
  • support api 16 and above rom。
  • Special note: The actual display effect is subject to the terminal device and is determined by the device system.
  • inbox JSONObject Optional Text entry notification bar style
  • when style = 2 available, json of each key Corresponding value Will be displayed item by item as text items.
  • If there is no filling Manufacturer inbox, then this is used by default inbox Field display.
  • support api 16 and above rom。
  • Special note: The actual display effect is subject to the terminal device and is determined by the device system.
  • big_pic_path string Optional Large picture notification bar style For usage details, see Set up a large image document
  • when style = 3 available, currently supported.jpg and.png format pictures.
  • Support network pictures url, local pictures path、 Jiguang media_id(recommended) if http/https of url, it will be downloaded automatically; if you want to specify a local image prepared by the developer, fill it in sdcard relative path.
  • If there is no filling Manufacturer big_pic_path, this field will be displayed by default.
  • support api 16 and above rom。
  • Special note: The actual display effect is subject to the terminal device and is determined by the device system.
  • extras JSON Object Optional extension fields
  • Customize here JSON Formatted Key / Value Information for business use.
  • For some manufacturers' jump address exceptions, you can use third_url_encode Compatible processing, please refer to the details Analysis of the problem that the manufacturer channel cannot jump
  • When the notification content exceeds the manufacturer's limit, the manufacturer channel will fail to push. You can extras Medium configuration xx_content_forshort The parameters are passed in to the notification content of the corresponding manufacturer. You can expand the table to view the details.
  • mipns_content_forshort string Optional Xiaomi notification content Since Xiaomi’s official notice content length limit is128Within characters (both Chinese and English are counted as one), when the notification content (Jiguangof"alert” field value) length exceeds128, the Xiaomi channel will fail to push. Call at this timeJiguangapiWhen pushing notifications, you can use this field to pass in no more than128The notification content of the character is used as the Xiaomi channel notification content.
    oppns_content_forshort string Optional OPPONotification content becauseOPPOThe length of the official notification content is limited to 50 characters (both Chinese and English are counted as one). When the notification content (Jiguangof"alert"field value) length exceeds 50,OPPOThe channel will fail to push. Call at this timeJiguangapiWhen pushing a notification, you can use this field to pass in notification content not exceeding 50 characters asOPPOChannel notification content.
    vpns_content_forshort string Optional vivoNotification content becausevivoThe official notification content length limit is100Within characters (both Chinese and English are counted as one), when the notification content (Jiguangof"alert” field value) length exceeds100hour,vivoThe channel will fail to push. Call at this timeJiguangapiWhen pushing notifications, you can use this field to pass in no more than100character notification content asvivoChannel notification content.
    mzpns_content_forshort string Optional Meizu notification content Since Meizu’s official notice content length limit is100Within characters (both Chinese and English are counted as one), when the notification content (Jiguangof"alert” field value) length exceeds100, the Meizu channel will fail to push. Call at this timeJiguangapiWhen pushing notifications, you can use this field to pass in no more than100The notification content of the character is used as the Meizu channel notification content.
    large_icon string Optional Notification bar large icon For usage details, see Set icon document
  • Icon size does not exceed 30k (note: from JPush Android SDK v4.0.0 Starting from version 1, the image size limit has been increased to 300 k)。
  • Support network pictures url, local pictures path、 Jiguang media_id(recommended) if http/https of url, it will be downloaded automatically; if you want to specify a local image prepared by the developer, fill it in sdcard relative path.
  • The value of this field, if media_id, it will take effect on other manufacturers’ channels, if not media_id, then take the ASUS channel andJiguangThe messages sent by the channel take effect and do not affect requests to go through other manufacturer channels.
  • If there is no filling Manufacturer large_icon, then this is used by default large_icon Field display.
  • small_icon_uri string Optional Notification bar small icon For usage details, see Set icon document
  • Icon size does not exceed 30k (note: from JPush Android SDK v4.0.0 Starting from version 1, the image size limit has been increased to 300 k)。
  • Supports http or https Internet pictures at the beginning and byJiguangObtained from the image upload interface media_id value(recommended).
  • The value of this field, if media_id, it will take effect on other manufacturers’ channels, if not media_id, then take the ASUS channel andJiguangThe messages sent by the channel take effect and do not affect requests to go through other manufacturer channels.
  • If there is no filling Manufacturer small_icon_uri, then this is used by default small_icon_uri Field display.
  • icon_bg_color string Optional Set notification icon background color
  • This field is only available for messagesJiguangChannel downlink takes effect.
  • This field can help solve the problem of small icons appearing gray on some devices, but ultimately it still depends on the system's own support. It is recommended that developers do a good job of adaptation when designing UI icons.
  • Need to match Android JPush SDK v5.5.0 and above versions.
  • intent JSON Object Optional Specify jump page use intent inside url Specify the target page to jump to after clicking the notification bar;
  • API Please be sure to fill in when pushing intent field, otherwise there may be no jump action when clicking on the notification. This field supports the following three types:
    1. Jump to target page:
    intent:#Intent;action=action path;component= package name /Activity full name;end
    (OPPO and FCM The channel must pass "action Path", other manufacturers must pass "Activity Full name", otherwise there will be a problem that the corresponding manufacturer cannot be redirected)
    2. Jump to deeplink address:
    scheme://test?key1=val1&key2=val2
    3. Application home page: intent:#Intent;action=android.intent.action.MAIN;end (Fixed to this address)
  • uri_activity string Optional Specify jump page
  • This field is not recommended for future use. Please use the above instead. intent Field
  • uri_action string Optional Specify jump page
  • This field is not recommended for future use. Please use the above instead. intent Field
  • badge_add_num int Optional Set the cumulative value of the subscript number, and accumulate it based on the original subscript.
  • This attribute is currently only for Huawei EMUI 8.0 and above, Xiaomi MIUI 6 and above,vivo, take effect on Honor devices.
  • If this field is not filled in, it means that the corner number will not be changed (due to system control on Xiaomi devices, regardless of pushJiguangWhether it is delivered through the channel or through the manufacturer's channel, even if it is not delivered, it will still have the default effect of +1).
  • The value range is:1-99, if a number within the value range is set, the next notification bar message is configured badge_add_num The data will be added to the original number of subscripts, and the recommended value is 1.
    Example:badge_add_num The value is 1 and the original subscript number is 2. After sending this subscript message, the applied subscript number is displayed as 3.
  • For Huawei/Honor channel, if badge_set_num and badge_add_num exist at the same time, then badge_set_num shall prevail; if "badge_add_num"and"badge_set_num” are all set to empty, the application subscript number will be increased by 1 by default.
  • badge_set_num int Optional Set the fixed value of the subscript number
  • This attribute is currently only for Huawei EMUI 8.0 and above, it will take effect when the Honor device goes through the manufacturer channel. If badge_set_num and badge_add_num exist at the same time, then badge_set_num shall prevail; if "badge_add_num"and"badge_set_num” are all set to empty, the application subscript number will be increased by 1 by default.
  • The value range is:0-99, if a number within the value range is set, it corresponds to the next notification bar message configuration badge_set_num Numbers are subscripted values, for example:badge_set_num The value is 1. Regardless of the number of badges before application, after sending this badge message, the number of applied badges will be displayed as 1.
  • badge_class string Optional The application entrance corresponding to the desktop icon Activity kind, for example"com.test.badge.MainActivity”
  • It only takes effect when pushed to Huawei and Honor channels. If this value is filled in by a non-main Activity category, subject to manufacturer restriction logic.
  • If you need to implement the corner mark accumulation function, you need to cooperate with badge_add_num To use it, both need to coexist, and one is indispensable without the other.
  • If you need to implement the corner mark fixed value function, you need to cooperate with badge_set_num To use it, both need to coexist, and one is indispensable without the other.
  • sound string Optional ring
  • fill in Android Under construction /res/raw/ The name of the ringtone file under the path, no file name suffix is ​​required.
  • Note: for Android 8.0 above, when passed channel_id, this attribute does not take effect.
  • show_begin_time string Optional Scheduled display start time (yyyy-MM-dd HH:mm:ss)
  • This attribute is not filled in.SDK The default is to display immediately; if this attribute is filled in, the display will start based on the filling time.
  • JPush Android SDK v3.5.0 version is now supported.
  • The scheduled display function is currently adapted to the following channels:Jiguang、OPPO、vivo, Meizu.
  • show_end_time string Optional Scheduled display end time (yyyy-MM-dd HH:mm:ss)
  • This attribute is not filled in.SDK It will always be displayed; if this attribute is filled in, it will be based on the filling time, and the display will be canceled after the time is reached.
  • JPush Android SDK v3.5.0 version is now supported.
  • The scheduled display function is currently adapted to the following channels:Jiguang、OPPO、vivo, Meizu.
  • display_foreground string Optional APP In the foreground, whether the notification is displayed
  • When the value is "1",APP A notification bar message will pop up/display in the foreground.
  • When the value is "0",APP Notification bar messages will not pop up/display in the foreground.
  • Note: By default APP A notification bar message will pop up/display in the foreground.JPush Android SDK v3.5.8 version is now supported.
  • The front-end display function currently supports the following channels:Jiguang, Huawei, Xiaomi,vivo。
  • custom_buttons JSON Array Optional Remote custom notification button adaptationJiguangChannel and Huawei manufacturer channel. For the complete code structure, please refer to the code example below. Structure field description:
  • name: Button name, required,stringType, needs to be a non-empty string. The length should not be greater than 20 characters.
  • action_type: Button action type, required,inttype. 1 forintentJump, 2 isdeeplinkJump, 3 is to enter the application homepage, 4 is to clear the notification.
  • action: Custom action, optional,stringtype, whenaction_typeIt is required when it is 1 or 2, and it needs to be in the corresponding jump format. Length no longer than300character.
  • data: Optional, used to transparently transmit fields to the application after clicking the button.stringType, length no greater than100character.
  • NOTE: This feature is from JPush Android SDK v5.9.0 version is now supported.

  • { "notification" : { "android" : { "alert" : "hello, JPush!", "title" : "JPush test", "builder_id" : 3, "style":1, // 1,2,3 "alert_type":1, // -1 ~ 7 "big_text":"big text content", "inbox":{}, "big_pic_path":"picture url", "priority":0, // -2~2 "category":"category str", "large_icon": "http://www.jiguang.cn/largeIcon.jpg", "intent": { "url": "intent:#Intent;component=com.jiguang.push/com.example.jpushdemo.SettingActivity;end" }, "extras" : { "news_id" : 134, "my_key" : "a value" }, "custom_buttons": [ { "name": "button1", "action_type": 1, "action": "intent:#Intent;action=com.example.ACTION_ONE;end", "data": "this is button1" }, { "name": "button2", "action_type": 2, "action": "scheme://test?key1=val1&key2=val2", "data": "this is button2" }, { "name": "button3", "action_type": 3 } ] } } }
              {
        "notification" : {
            "android" : {
                 "alert" : "hello, JPush!",
                 "title" : "JPush test",
                 "builder_id" : 3,
                 "style":1,  // 1,2,3
                 "alert_type":1, // -1 ~ 7
                 "big_text":"big text content",
                 "inbox":{},
                 "big_pic_path":"picture url",
                 "priority":0, // -2~2
                 "category":"category str",
                 "large_icon": "http://www.jiguang.cn/largeIcon.jpg",
                 "intent": {
                    "url": "intent:#Intent;component=com.jiguang.push/com.example.jpushdemo.SettingActivity;end"
                 },
                 "extras" : {
                      "news_id" : 134,
                      "my_key" : "a value"
                 },
                 "custom_buttons": [
                    {
                        "name": "button1",
                        "action_type": 1,
                        "action": "intent:#Intent;action=com.example.ACTION_ONE;end",
                        "data": "this is button1"
                    },
                    {
                        "name": "button2",
                        "action_type": 2,
                        "action": "scheme://test?key1=val1&key2=val2",
                        "data": "this is button2"
                    },
                    {
                        "name": "button3",
                        "action_type": 3 
                    }
                 ]
            }
        }
    }
    
            
    This code block is shown in the floating window

    ios

    iOS on the platform APNs notification structure.
    The content of this notification will be provided by JPush Agent sent to Apple APNs server and in iOS Presented as a system notification on the device.
    The content of this notification satisfies APNs Specification, supported fields are as follows:

    Keywords type Options meaning illustrate
    alert string or JSON Object Required Notification content
  • The contents specified here will override those specified by superiors. alert information.
  • If the content is empty, it will not be displayed in the notification bar.
  • Supports string form and officially defined alert payload structure, which contains title and subtitle Waiting for official support key。
  • sound string or JSON Object Optional Notification sound or warning notification
  • General notice: string Type, if there is no such field, there will be no sound prompt for this message; if there is this field, if the specified sound is found, the sound will be played, otherwise the default sound will be played. If this field is an empty string,iOS 7 is the default sound,iOS 8 and above systems have no sound. illustrate:JPush official SDK The sound field will be filled in by default, providing another method to turn off the sound. See each page for details. SDK source code.
  • Alarm notification: JSON Object, supports the official definition of payload structure, which contains critical 、name and volume Waiting for official support key 。
  • Custom ringtone description: The format must be Linear PCM、MA4(IMA/ADPCM)、alaw,μLaw A way to place audio files into the project bundle directory, and the duration is required 30s The following, otherwise it is the system default ringtone. For details, see custom ringtone
  • badge string Optional Apply badge
  • It can be set to N, +N, -N, and the value range of N is [0,99]. If the uploaded subscript value value is 10, indicating that the index will be set to N,10+N、10-N(When the value is less than 0, the corner mark will be cleared by default).
  • If it is 0 or an empty string, it means clearing the subscript.
  • If left blank, it means the corner number will not be changed.
  • content-available boolean Optional Push to wake up Carry it when pushing "content-available":true, indicating that it is Background Remote Notification, if this field is not carried, it is ordinary Remote Notification, for details, refer to:Background Remote Notification
    mutable-content boolean Optional notification extension iOS 10 new Notification Service Extension function, used to report each APNs The delivery status of the information. Using this function requires the client to implement Service Extension interface, and use it on the server side mutable-content The fields are set.
  • true: Description support iOS 10 of UNNotificationServiceExtension Function.
  • If this field is not carried, it is normal Remote Notification, arrival data cannot be counted.
  • category string Optional iOS Classification iOS 8 Start support, set up APNs payload " incategory" field value.
    extras JSON Object Optional Additional fields Customize here Key / value Information for business use, please refer to How to set the right icon/large picture and iOS Notification click to jump
    thread-id string Optional Notification group ios Remote notifications use this attribute to group notifications. The same thread-id notifications are grouped together.
    interruption-level string Optional Interruption level for notification priority and delivery time ios The notification level of 15 can only be active,critical,passive,time-sensitive One of them, please refer to:UNNotificationInterruptionLevel

    iOS notify JPush To forward to APNs server.APNs HTTP/2 The push protocol supports delivery of 4096 byte.

    JPush Because it is necessary to reassemble the packets and consider a little security redundancy, it is required "iOS":{ } and the overall length within the curly braces must not exceed:3584 bytes.JPush use utf-8 Encoding, so a Chinese character occupies 3 bytes in length.


    Server sends message string

    { "notification" : { "ios" : { "alert" : "hello, JPush!", "sound" : "sound.caf", "badge" : 1, "extras" : { "news_id" : 134, "my_key" : "a value" } } } }
              {
        "notification" : {
            "ios" : {
                "alert" : "hello, JPush!",
                "sound" : "sound.caf",
                "badge" : 1,
                "extras" : {
                    "news_id" : 134,
                    "my_key" : "a value"
                }
            }
        }
    }
    
            
    This code block is shown in the floating window

    Client received apns

    { "_j_msgid" = 813843507; aps = { alert = "hello,JPush!"; badge = 1; sound = "sound.caf"; }; "my_key" = "a value"; "news_id" = 134; }
              {
        "_j_msgid" = 813843507;
        aps =     {
            alert = "hello,JPush!";
            badge = 1;
            sound = "sound.caf";
        };
        "my_key" = "a value";
        "news_id" = 134;
    }
    
            
    This code block is shown in the floating window

    hmos

    Hongmeng (HarmonyOS) notifications on the platform,JPush SDK Display according to a certain notification bar style.

    Supported fields are:

    Keywords type Options meaning illustrate
    alert string Required Notification content
  • After being specified here, it will override the unified one specified by the superior. alert information.
  • The content cannot be an empty string, otherwise the push manufacturer will return failure.
  • title string Optional Notification title
  • If specified, the original display in the notification App name where it will be displayed title. Otherwise useWebPortalConfigured defaulttitle。
  • category string Required Notification bar message category entries
  • Since this field is required by the manufacturer, the effect is completely dependent on rom manufacturer to category The developer must fill in the processing policy.JiguangThis field is not required to be verified internally, so developers are requested to treat it as required.
  • This field value corresponds to the official "Cloudcategory” value, the developer passesJiguangIf the value of this field is passed when the service initiates a push, it must be passed in accordance with the official requirements. The officialcategoryYou can also refer to the classification value rulesHongmeng Message Classification Standard
  • large_icon string Optional Notification bar large icon
  • To require passing the network address, useHTTPSAgreement, value examples:https://example.com/image.png。
  • The icon size should not exceed 30k, and the length × width is recommended to be less than128×128pixels if more than49152pixels, the image will not be displayed.
  • intent JSON Object Required Specify jump page Support jumping to the application homepage,deeplink address andActionThree types of jumps:
    1. Jump to the application homepage: Fixed action.system.home
    2. Jump to deeplink address: scheme://test?key1=val1&key2=val2
    3. Jump to action address: com.test.action
    Note: This field is required by the manufacturer, so developers must fill it in.JiguangThis field is not required to be verified internally, so developers are requested to treat it as required.
    badge_add_num int Optional Set the cumulative value of corner mark numbers
  • If this field is not filled in, it means that the subscript number will not be changed.
  • The value range is:1-99, if a number within the value range is set, the next notification bar message is configured badge_add_num The data will be added to the original number of subscripts, and the recommended value is 1.
    Example:badge_add_num The value is 1 and the original subscript number is 2. After sending this subscript message, the applied subscript number is displayed as 3.
  • badge_set_num int Optional Set the subscript number to a fixed value
  • If this field is not filled in, it means that the subscript number will not be changed.
  • The value range is:0-99, if a number within the value range is set, it corresponds to the next notification bar message configuration badge_set_num Numbers are subscripted values, for example:badge_set_num The value is 1. Regardless of the number of badges before application, after sending this badge message, the number of applied badges will be displayed as 1.
  • test_message boolean Optional Test message ID Test message identifier:
  • false: normal message (default)
  • true:Test message
  • receipt_id string Optional Huawei receipt ID Enter a unique receipt ID to specify the receipt address and configuration of this downlink message. The receipt ID can be found inHongmeng return receipt parameter configurationView in.
    extras JSON Object Optional extension fields
  • Customize here JSON Formatted Key / Value Information for business use.
  • style int Optional Notification bar style type
  • The default is 0, 0: normal style 2: multi-text style.
  • inbox JSON Object Optional Multiline text styles
  • correspond style The value type of 2.
  • push_type int Optional Push type
  • Default value 0, currently only supports: 0-notification message, 1-card refresh, 2-voice broadcast message, 7-live window message,10-VoIPCall message, other values ​​will report an error.
  • For detailed value instructions, please refer to the officialIntroduction to scene messages
  • Additional information: Official push-type=6 background message, corresponding toJiguangCustom message, does not belong to the notification message category, so the value passed here is limited and 6 is not supported.
  • extra_data string Optional Push type
  • Corresponds to Hongmeng extraData field, when push_type=2 (voice broadcast message) or push_type=10(VoIPcall message), it is required at this time.push_type=0, this field is ignored.
  • For detailed parameter transfer instructions, please refer to the officialRequest parameter description
  • display_foreground string Optional APP In the foreground, whether the notification is displayed
  • When the value is "1",APP A notification bar message will pop up/display in the foreground.
  • When the value is "0",APP Notification bar messages will not pop up/display in the foreground.
  • sound string Optional Custom notification ringtone
  • This field is useful for pushJiguangaisle(JPush HarmonyOS SDK ≥ v1.3.0 version) and Hongmeng manufacturer channel notifications are effective
  • The ringtone file set here must be placed in the application/resources/rawfileUnder the path, see the official website for detailssoundField description
  • sound_duration int Optional Customize notification ringtone duration, cooperation requiredsoundField usage
  • This field only takes effect for push via Hongmeng manufacturer channel.
  • Only if the request also carriessoundfields,soundDurationfields will take effect. Only numbers are supported, the unit is seconds, the value range is [1, 60], please see the official website for detailssoundDurationField description
  • hm_payload JSON Object Optional Hongmeng card refresh message, live window message content body
  • only for push_type=1 (card refresh), push_type=7 (live window message) takes effect, and push_type=1 or push_type=7, this field is required, and the other required fields above can be ignored.
  • Jiguang hm_payload Field values ​​will be directly transmitted to Hongmeng payload fields,JiguangThe integrity and correctness of the message body will not be verified. Developers are asked to refer to the official document instructions for passing parameters. For details, see:Hongmeng scenario-based message request example
  • When you push card refresh or live window messages, the push only supports delivery through Hongmeng channel, and the push delivery strategy only supportsospush(Default value of delivery policyospush, such as customizing other delivery policy requests and reporting errors)

  • // 指定鸿蒙(HarmonyOS)平台推送: { "platform" : ["hmos"] } // 通知参数 { "notification" : { "hmos" : { "alert":"hmos alert", "title":"hmos titile", "intent": { "url":"scheme://test?key1=val1&key2=val2" }, "badge_add_num":1, "extras": { "age":18 }, "category":"IM", "test_message":false, "receipt_id":"abc1212", "large_icon":"https://www.jiguang.cn/largeIcon.jpg" } } } // 卡片刷新消息示例 { "notification" : { "hmos" : { "push_type":1, "hm_payload": { "formData": { "123": 96, "class": "123" }, "version": 922337203, "images": [ { "keyName": "hello", "url": "https://xxx.png", "require": 1 } ], "formId": 0, "moduleName": "testName", "formName": "testFormName", "abilityName": "testAbilityName" } } } } // 实况窗消息示例(航班场景,event为FLIGHT) { "notification" : { "hmos" : { "push_type":7, "hm_payload": { "activityId": 1, "operation": 0, "event": "FLIGHT", "status": "DEPART", // 计划出发 "activityData": { "notificationData": { "keywords": { "flightNo": "MU1471" }, "type": 5, "contentTitle": "航班{{status}}", // 航班计划出发 "contentText": [ { "text": "航班号:" }, { "text": "{{flightNo}}", // MU1471 "foregroundColor": "#FF317AF7" } ], "clickAction": { "actionType": 0 }, "firstTextBlock": { "firstLine": "12:00", "secondLine": "上海虹桥" }, "lastTextBlock": { "firstLine": "14:20", "secondLine": "成都天府" }, "displayHorizontalLine": true, "spaceIcon": "space.png", // 取值为“/resources/rawfile”路径下的文件名 "extend": { "type": 3, "pic": "flight.png", // 取值为“/resources/rawfile”路径下的文件名 "clickAction": { "actionType": 1, "action": "xxxxxxx" } } }, "capsuleData": { "type": 1, "status": 1, "icon": "icon.svg", // 取值为“/resources/rawfile”路径下的文件名 "bgColor": "#FF317AF7", "remind": "EXPAND", "title": "即将出发", "content": "请尽快前往机场" } } } } } }
              // 指定鸿蒙(HarmonyOS)平台推送:
    {
        "platform" : ["hmos"] 
    }
    
    // 通知参数
    {
        "notification" : {
            "hmos" : {
                "alert":"hmos alert",
                "title":"hmos titile",
                "intent": {
                    "url":"scheme://test?key1=val1&key2=val2"
                },
                "badge_add_num":1,
                "extras": {
                    "age":18
                },
                "category":"IM",
                "test_message":false,
                "receipt_id":"abc1212",
                "large_icon":"https://www.jiguang.cn/largeIcon.jpg"
            }
        }
    }
    
    // 卡片刷新消息示例
    {
        "notification" : {
            "hmos" : {
                "push_type":1,
                "hm_payload": {
                    "formData": { 
                        "123": 96, 
                        "class": "123" 
                    }, 
                    "version": 922337203, 
                    "images": [ 
                    { 
                        "keyName": "hello", 
                        "url": "https://xxx.png", 
                        "require": 1 
                    } 
                    ], 
                    "formId": 0, 
                    "moduleName": "testName", 
                    "formName": "testFormName", 
                    "abilityName": "testAbilityName"      
                }
            }
        }
    }
    
    // 实况窗消息示例(航班场景,event为FLIGHT)
    {
        "notification" : {
            "hmos" : {
                "push_type":7,
                "hm_payload": {
                    "activityId": 1,
                    "operation": 0,
                    "event": "FLIGHT",
                    "status": "DEPART", // 计划出发
                    "activityData": {
                        "notificationData": {
                            "keywords": {
                                "flightNo": "MU1471"
                            },
                            "type": 5,
                            "contentTitle": "航班{{status}}", // 航班计划出发
                            "contentText": [
                            {
                                "text": "航班号:"
                            },
                            {
                                "text": "{{flightNo}}", // MU1471
                                "foregroundColor": "#FF317AF7"
                            }
                            ],
                            "clickAction": {
                                "actionType": 0
                            },
                            "firstTextBlock": {
                                "firstLine": "12:00",
                                "secondLine": "上海虹桥"
                            },
                            "lastTextBlock": {
                                "firstLine": "14:20",
                                "secondLine": "成都天府"
                            },
                            "displayHorizontalLine": true,
                            "spaceIcon": "space.png", // 取值为“/resources/rawfile”路径下的文件名
                            "extend": {
                                "type": 3,
                                "pic": "flight.png", // 取值为“/resources/rawfile”路径下的文件名
                                "clickAction": {
                                    "actionType": 1,
                                    "action": "xxxxxxx"
                                }
                            }
                        },
                        "capsuleData": {
                            "type": 1,
                            "status": 1,
                            "icon": "icon.svg", // 取值为“/resources/rawfile”路径下的文件名
                            "bgColor": "#FF317AF7",
                            "remind": "EXPAND",
                            "title": "即将出发",
                            "content": "请尽快前往机场"
                        }
                    } 
                }
            }
        }
    }
    
            
    This code block is shown in the floating window

    quickapp

    Notification structure on the quick application platform. The notification content meets the specifications of the quick application platform, and the supported fields are as follows:

    自2025.10.30开始,此功能升级为 VIP 用户功能。
              自2025.10.30开始,此功能升级为 VIP 用户功能。
    
            
    This code block is shown in the floating window
    Keywords type Options meaning illustrate
    title string Required Notification title
  • Required field, the title of the quick app push notification.
  • alert string Required Notification content
  • If specified here, it will override the one specified by the superior alert information.
  • page string Required Jump page Quick app notification jump address.
    extras JSON Object Optional Additional fields Customize here Key / value Information for business use.

    Server sends message string

    { "notification" : { "quickapp": { "alert": "Hi, JPush!", "title": "Send to QuickApp", "page": "/page1", "extras" : { "news_id" : 134, "my_key" : "a value" } } } }
              {
        "notification" : {
            "quickapp": {
                "alert": "Hi, JPush!",
                "title": "Send to QuickApp",
                "page": "/page1",
                "extras" : {
                    "news_id" : 134,
                    "my_key" : "a value"
                }
            }
        }
    }
    
            
    This code block is shown in the floating window

    voip

    iOS VOIP Function.
    This type of push supports and iOS of Notification Notifications coexist, request parameter structure reference:

    { "notification": { "ios" : { "alert" : "hello, JPush!", "sound" : "sound.caf" }, "voip": { "key": "value" // 任意自定义 key/value 对,会透传给 APP } } }
                  {
            "notification": {
                "ios" : {
                    "alert" : "hello, JPush!",
                    "sound" : "sound.caf"
                },
                "voip": {
                    "key": "value" // 任意自定义 key/value 对,会透传给 APP
                }
            }
        }
    
            
    This code block is shown in the floating window

    message: Custom message

    Custom messages, also known as: in-app messages, transparent messages.

    • This part of the content will not be displayed on the notification bar.JPush SDK After receiving the message content, it is transmitted transparently to App,need App Handle it yourself.
    • iOS Push in-app messaging channels (not APNS) to obtain this part of the content, you need App Be in the foreground.
    • Hongmeng Platform (HarmonyOS)from 2024.08.13 Started to support custom messages (corresponding to HarmonyOS official push-type=6 "Background message"), requiring integrationJiguang SDK Version ≥ JPush HarmonyOS SDK v1.1.0。

    The message contains the following fields:

    Keywords type Options meaning
    msg_content string Required
  • The content of the message itself.
  • title string Optional
  • Message title.
  • content_type string Optional Message content type, developers can define specific types according to their own business.
    extras JSON Object Optional JSON optional parameters for format

    Android 1.6.2 及以下版本 接收 notification 与 message 并存(即本次 api 调用同时推送通知和消息)的离线推送, 只能收到通知部分,message 部分没有透传给 App。 Android 1.6.3 及以上 SDK 版本已做相应调整,能正常接收同时推送通知和消息的离线记录。 iOS 1.7.3 及以上的版本才能正确解析 v3 的 message,但是无法解析 v2 推送通知同时下发的应用内消息。
              Android 1.6.2 及以下版本 接收 notification 与 message 并存(即本次 api 调用同时推送通知和消息)的离线推送, 只能收到通知部分,message 部分没有透传给 App。
    
    Android 1.6.3 及以上 SDK 版本已做相应调整,能正常接收同时推送通知和消息的离线记录。
    
    iOS 1.7.3 及以上的版本才能正确解析 v3 的 message,但是无法解析 v2 推送通知同时下发的应用内消息。
    
            
    This code block is shown in the floating window

    inapp_message: In-app enhanced reminders

    inapp_message This feature requires Android push SDK≥V3.9.0、iOS push SDK≥V3.4.0, if the version is lower than this, follow the original process.

    inapp_message For the notification bar message type, it needs to be matched notification Used together with parameters, users whose notification permission is turned off can enable this feature. After this feature is enabled, when the user runs in the foreground APP, the content of the notification bar message will be displayed as an in-app message.

    自2025.10.30开始,此功能升级为 VIP 用户功能。
              自2025.10.30开始,此功能升级为 VIP 用户功能。
    
            
    This code block is shown in the floating window
    • inapp_message: For notification bar messages,Boolean type;
      • The value is true Indicates enabling the in-app enhanced reminder function;
      • The value is false Indicates that in-app enhanced reminders are disabled.

    Examples are as follows:

    { "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909335e", "platform": "all", "audience": { "tag": [ "深圳", "北京" ] }, "notification": { "android": { "alert": "Hi, JPush!", "title": "Send to Android" }, "ios": { "alert": "Hi, JPush!", "sound": "default", "badge": "+1", "thread-id": "default", "extras": {"newsid": 321} } }, "inapp_message": {"inapp_message": true} }
              {
        "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909335e",
        "platform": "all",
        "audience": {
            "tag": [
                "深圳",
                "北京"
            ]
        },
        "notification": {
            "android": {
                "alert": "Hi, JPush!",
                "title": "Send to Android"
            },
            "ios": {
                "alert": "Hi, JPush!",
                "sound": "default",
                "badge": "+1",
                "thread-id": "default",
                "extras": {"newsid": 321}
            }
        },
        "inapp_message": {"inapp_message": true}
    }
    
            
    This code block is shown in the floating window

    live_activity: Real-time event news

    Special Note:

    The real-time activity message content body has the following field information:

    Keywords type Options illustrate
    ios JSON Object Required Please refer to the table below for detailed fields iOS JSON Object part.

    iOS JSON Object

    Keywords type Options illustrate
    event string Required start:"start",renew:"update",Finish:"end"。
    content-state JSON Object Required Need to communicate with client SDK value matches (corresponds to Apple official content-state Field)。
    attributes-type string Required Required to create real-time activity events (no need to pass when updating or ending real-time activities), field rules: composed of numbers, letters, and underscores, but cannot start with numbers; corresponding Apple official attributes-type Field
    attributes JSON Object Required Required to create real-time activity events (no need to pass when updating or ending real-time activities); corresponding Apple official attributes Field
    relevance-score int Optional correspond Apple official relevance-score Field
    stale-date int Optional correspond Apple official stale-date Field
    alert JSON Object Optional
  • Refer to the table below iOS alert JSON Object illustrate.
  • Note: This field is required when creating a real-time activity, otherwise it will affect the display effect of the real-time activity; it does not need to be filled in when updating and ending real-time activities;JiguangThe service does not perform required verification on this field. Developers are asked to handle it according to the actual situation.
  • dismissal-date int Optional Real-time event end display time. Note: only for event="end" event takes effect.

    iOS alert JSON Object

    Keywords type Options illustrate
    title string Optional Show toApple Watchmessage title.
    body string Optional Show toApple Watchmessage content.
    sound string Optional beep.
    • iOS Real-time activity news (Live Activity) JPush To be forwarded to Apple servers. Apple requires real-time activity messages (ActivityKit) The size of dynamic update data pushed remotely does not exceed 4096 byte.
    • JPush Because it is necessary to reassemble the packets and consider a little security redundancy, it is required "live_activity"Parameter body"iOS":{ } and the overall length within the curly braces must not exceed:3584 bytes.JPush use utf-8 Encoding, so a Chinese character occupies 3 bytes in length.

    Real-time activity push example

    // 远程更新实时活动 { "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909b26e", "platform": ["ios"], "audience": { "live_activity_id": "abcdef" // 更新或者结束实时活动,audience 必须且只能指定 live_activity_id 进行 }, "live_activity": { "ios": { "event": "update", "content-state":{ "key":"value" }, "alert":{ "title":"David is on an adventure!", "body":"David found a sword!", "sound":"chime.aiff" }, "dismissal-date": 1168364460 } }, "options": { "apns_production": false } } // 远程创建实时活动 { "cid": "7094b4c628a0b98974ec1949-711261d4-5f17-2f6d-a855-9b26e5e5a890", "platform": ["ios"], "audience": { "tag": [ "深圳", "广州"] // 创建实时活动,audience 支持:广播、tag、alias、registration_id }, "live_activity": { "ios": { "event": "start", "content-state":{ "currentHealthLevel": 100, "eventDescription": "Adventure has begun!" }, "attributes-type": "AdventureAttributes", "attributes":{ "currentHealthLevel": 100, "eventDescription": "Adventure has begun!" }, "alert":{ "title":"David is on an adventure!", "body":"David found a sword!", "sound":"chime.aiff" } } }, "options": { "apns_production": false } }
              // 远程更新实时活动
    {
        "cid": "8103a4c628a0b98974ec1949-711261d4-5f17-4d2f-a855-5e5a8909b26e",
        "platform": ["ios"],
        "audience": {
            "live_activity_id": "abcdef"   // 更新或者结束实时活动,audience 必须且只能指定 live_activity_id 进行
        },
        "live_activity": {
            "ios": {
                "event": "update",
                "content-state":{
                    "key":"value"
                },
                "alert":{
                    "title":"David is on an adventure!",
                    "body":"David found a sword!",
                    "sound":"chime.aiff"
                },
                "dismissal-date": 1168364460
            }  
        },
        "options": {
            "apns_production": false
        }
    }
    
    // 远程创建实时活动
    {
        "cid": "7094b4c628a0b98974ec1949-711261d4-5f17-2f6d-a855-9b26e5e5a890",
        "platform": ["ios"],
        "audience": {
            "tag": [ "深圳", "广州"]       // 创建实时活动,audience 支持:广播、tag、alias、registration_id
        },
        "live_activity": {
            "ios": {
                "event": "start",
                "content-state":{
                    "currentHealthLevel": 100,
                    "eventDescription": "Adventure has begun!"
                },
                "attributes-type": "AdventureAttributes",
                "attributes":{
                    "currentHealthLevel": 100,
                    "eventDescription": "Adventure has begun!"
                },
                "alert":{
                    "title":"David is on an adventure!",
                    "body":"David found a sword!",
                    "sound":"chime.aiff"
                }
            }  
        },
        "options": {
            "apns_production": false
        }
    }
    
            
    This code block is shown in the floating window

    sms_message:Short message

    Kind tips:

    1. Using SMS service will generate additionalcarriersFees, please contact the business for details, contact number:400-888-2376

    2. The text message consists of two parts: signature and body content. answercarriersRegulations, signatures and text content need to be reviewed, reference Glossary

    3. Signature settings reference Signature Settings in "Console Operation Guide" and SMS signature API

    4. since 2018 Starting from March 2020, developers of SMS supplements must submit text content templates, which can be used after approval. Therefore, you need to fill in the temp_id(If the template has setting parameters, you need to fill them in. temp_para),refer to Template Settings in "Console Operation Guide" and SMS template API


    Developers need to first compare the user’s mobile phone number with the device’s registrationID match. Binding method: Server-Device-Update device Android API-Set mobile number iOS API-Set mobile number HarmonyOS API-Set mobile number

    SMS reissue

    Within the time specified by the developer, determine whether the push is successful. If the success criteria are not met, a new text message will be sent.

    • JiguangThe channel takes actual delivery as push success.
    • JiguangThe background can set the criteria for judging the success of the manufacturer channel and support selection. api The call is successful, all reissues, no reissues, and delivery receipts are available. contact business Change conditions. If not selected, the default will be based on successful submission to the vendor server.
      • api The call is successful: withJiguangCall manufacturer push api Success is the benchmark. If the call is successful, it will not be reissued.
      • Reissue all: All the manufacturer’s channel devices will reissue SMS messages.
      • No resend: Do not resend text messages to the manufacturer's channel device at all.
      • Delivery receipt: Based on the manufacturer's delivery receipt (if the channel has a delivery receipt), no reissue will be issued if there is a delivery receipt.
    • set up delay_time is a non-zero value, see for details SMS parameter description

    Concurrent SMS

    JPushSupports sending push notifications and text messages at the same time.API When pushing delay_time Set to 0, see for details SMS parameter description

    SMS parameter description

    use sms_message Set the SMS push content and the delay time for SMS sending. with original JSON The business protocol matches, and the message has the following field information:

    Keywords type Options illustrate
    delay_time int Required Delay time for sending SMS. If push is not successful within the set time, SMS will be sent.
  • Set to 0, which means the text message is sent immediately, that is, notification and text message are sent concurrently.
  • If the setting is not 0, it means that if the push is not successful within the set time, the SMS will be resent.
  • The unit is seconds and cannot exceed 24 hours.
  • This parameter is only for android 、iOS and HarmonyOS The platform works.
  • signid int Optional Signature ID. If this field is empty, the application default signature will be used.
    temp_id long Required The content template ID of SMS supplement. If this field is not filled in, it means that the SMS supplement function is not used.
    temp_para JSON Optional SMS templateparameters in.
    active_filter boolean Optional active_filter This field is used to control whether active filtering is performed on users who send additional text messages.
  • Default is true, do active filtering.
  • for false, no active filtering is performed.
  • options: Optional parameter

    Push options.

    Currently it includes the following options:

    Keywords type Options meaning illustrate
    sendno int Optional Push serial number
  • purely used as API call identifier,API is returned unchanged for convenience API The caller matches the request with the return.
  • A value of 0 indicates that the messageid none sendno, so the field value range is non-0 int。
  • time_to_live int Optional Offline message retention time (seconds)
  • When the current user is not online, how long to keep offline messages for the user so that they can be pushed again when they come online.
  • default 86400 (1 day), up to 3 days for ordinary users, VIP User maximum 10 days. Setting it to 0 means that offline messages will not be retained, and only users who are currently online can receive them.
  • This field is iOS、HarmonyOS、AndroidThe manufacturer channel will be automatically adapted based on the support of the system push capability itself.
  • override_msg_id long Optional Message ID to overwrite If the current push is to overwrite the previous push, fill in the previous push here. msg_id There will be an overlay effect, that is:
  • Should msg_id Messages received offline are overwritten content, even if the msg_id Android The end user has received it. If the notification bar has not been cleared, the new message content will overwrite the previous notification.
  • The time limit for the override function to work is: 1 day, if the msg_id If it does not exist, return 1003 Error, indicating that this is not a valid message overwriting operation, and the current message will not be pushed.
  • This field is Android Valid, only supportedJiguangchannel, millet channel,OPPO aisle,vivo aisle,FCM Channel, Honor Channel, Huawei Channel (EMUI10 and above equipment) and Hongmeng Channel.
  • apns_production boolean Optional APNs Is it a production environment? This field is only for iOS of Notification Valid. If not specified, it will be pushed to the production environment. Notice:JPush Server SDK The default setting is to push the "development environment".
  • true: Indicates pushing to the production environment.
  • false: Indicates pushing the development environment.
  • apns_collapse_id string Optional renew iOS Notification identifier
  • APNs If the new notification matches the current notification center, it has the same apns-collapse-id field's notification, it will be updated with the new notification content and placed at the top of the Notification Center.
  • collapse The length of id cannot exceed 64 bytes。
  • big_push_duration int Optional Fixed speed push duration (minutes)
  • Also known as slow push, it reduces the push speed as fast as possible, and pushes it evenly to the target users of this push within a given n minutes; the maximum value is 1400。
  • Up to 20 fixed-rate push notifications can exist at the same time.
  • If it is not set, it will not be pushed at a fixed speed.
  • third_party_channel JSON Object Optional Push request delivery channel It is only valid for users who have configured the manufacturer. For details, please refer to third_party_channel illustrate
    classification int Optional Message type classification JiguangThe specified message type will not be judged or calibrated, and will be adapted to the message type specified by the developer. Android Manufacturer channel. If left blank, the default value is 0.
  • 0: Represents operational news.
  • 1: Represents system message.
  • This field has the highest priority and will override options.third_party_channel.vivo.classification The set value will be overwritten options.third_party_channel.honor.importance Set value, etc.
  • target_event JSON Array Optional Goal conversion event Goal conversion events support passing "custom events" and "JiguangPreset event", currently supportedAndroidandiOSPlatform (requiresJPush SDK ≥ 5.0.0,andJCore ≥ 4.2.0), supporting two message types: notification messages and in-app messages.
  • Custom events: need to be integratedJiguanganalyzeSDK, the developer isJiguangAnalyze self-created business events in the product (such as adding to shopping cart, browsing products, etc.), please refer to the details How to create a custom event and SDKHow to report a custom event
  • JiguangPreset events:JPushSDKSupported by default, no need for developers to create or integrateJiguanganalyzeSDK, the system has been preset; the target supports 2 preset events:jg_app_show(The application switches to the foreground),jg_app_hide(The app switches to the background).
  • Code example: {"options": {"target_event": ["jg_app_show"]}}
  • since2025.10.30Initially, this feature was upgraded to VIP User functions.
    test_message boolean Optional Whether to test message identification priority greater than hmos Notify the body test_message Field (also adapted to Hongmeng custom messages, if you push Hongmeng custom messages, please pass this field)
  • Please note the difference fromtest_modelfunction field,test_messageIt is only used to adapt to the manufacturer's test message function and does not mean that it is pushed in test mode.
  • receipt_id string Optional Receipt ID priority greater than hmos Notify the body receipt_id Field (also adapted to Hongmeng custom messages, if you push Hongmeng custom messages, please pass this field)
    active_push boolean Optional Whether to use bright screen push true-Use bright screen push,false-Do not use bright screen push, default valuefalse。
  • It is suitable for marketing messages that do not require high real-time performance. It is not recommended for messages that require high real-time performance.
  • This function is a value-added paid service and requires additional application permissions.
  • When using bright screen push, it is recommended to set it at the same timeneed_backup=true。
  • This function only supports simple notification messages, and does not support custom messages or notification + custom message push, otherwise the request will be returned code code 1035。
  • This function does not support fixed-speed push, otherwise the request will be returned code code 1035。
  • The time range supported by bright screen push is every day 7:00 - 22:00
  • Bright screen push forAndroidThe delivery strategy for manufacturer users is fixed to go online.Jiguang, go to the manufacturer offline.
  • need_backup boolean Optional Use the bright screen push strategy true-Use the bright-screen cover-up strategy,false-Do not use the bright screen cover-up strategy, the default valuefalse。
  • If this field is specified astrue,butactive_pushField value must betrue。
  • Whether to use the cover-up strategy is mainly to confirm the processing logic after the offline message expires.
  • When using the cover policy to deliver: If it is a manufacturer user (after the offline message expires 0-5 Delivered through the manufacturer channel within minutes), if it is a non-manufacturer user (after the offline message expires, it will be delivered directly if the user is online; if the user is offline, it will be discarded).
    For example, push this message at 8 a.m. and set the offline time for 2 hours. exist 8:00 - 10:00 Within the time limit, when the device's screen turns on, it will trigger the message to be sent. Remaining unsent users, upon arrival10:00back,0-5 The remaining messages within minutes will be distributed through the manufacturer channel.
  • When delivering without using the cover-up policy: Offline messages that are not delivered after expiration are discarded directly, regardless of whether they are manufacturer users or not.
  • business_operation_code string Optional Push plan ID You need to create a plan identification value first. Please refer to the creation steps.Push plan document
    test_model boolean Optional Whether to push in test mode
  • false: Official mode push message (default value),true: Test mode push message
  • Push messages in test mode are only pushed to the test device. Please be sure to add the test device first;
  • Functional logic can be found in the documentation.test mode
  • notification_3rd_ver string Optional Customized message to manufacturer notification function version
  • Value: "v1", "v2"
  • v1: only supportsAndroidPlatform; v2: supportedAndroid、iOS、HarmonyOSThree platforms, it is recommended to use the v2 version
  • Functional fields and usage logic can be found in the documentation.notification_3rd:Customized message to manufacturer notification
  • auto_truncation bool Optional Whether the manufacturer channel message is automatically truncated if it is too long?
  • Default istrue, if the message body content is found to be too long when sent to the manufacturer channel, it will be automatically truncated; if truncation is not expected, it can be passedfalseclosure.
  • If * is passed under the notification message bodypns_content_forshortfields, priority will be given to *pns_content_forshortfield as the message body content, and at the same timeauto_truncationIt can also take effect.
  • mkt_enable bool Optional situational businessPush
  • Default isfalse: Indicates ordinary message push;true:expressJiguangsituational businessPushPush, you can "Contact Business Consulting」。
  • If * is passed under the notification message bodypns_content_forshortfields, priority will be given to *pns_content_forshortfield as the message body content, and at the same timeauto_truncationIt can also take effect.
  • Message Classification Description

    • options.classification: Message type classification, 0-represents operational messages, 1-represents system messages, default value 0.
      1. JiguangBy default, the platform determines the message type based on the value of this field, and performs vendor quota deduction processing and vendor message classification adaptation logic.
      2. This field has the highest priority.JiguangThe specified message type will not be judged or calibrated, and will be adapted with the value of this field specified by the developer. Android Vendor channel message classification function, please make sure options.classification The value is accurate. For example: will cover options.third_party_channel.vivo.classification The set value will be overwritten options.third_party_channel.honor.importance Set value, etc.
      3. For the manufacturer’s adaptation and usage methods, please refer to:Vendor Message Classification Usage Guide Reference

    Bright screen push instructions

    • options.active_push: Whether to use bright screen push,true-Use bright screen push,false-Do not use bright screen push, default valuefalse。

      1. It is suitable for marketing messages with low real-time requirements. It is not recommended for messages with high real-time requirements.
      2. When using bright screen push, it is recommended to set it at the same timeneed_backup=true。
      3. This function only supports simple notification messages, and does not support custom messages or notification + custom message push, otherwise the request will be returned code code 1035。
      4. This function does not support fixed-speed push, otherwise the request will be returned code code 1035。
      5. The time range supported by bright screen push is every day 7:00 - 22:00
      6. Bright screen push forAndroidThe delivery strategy for manufacturer users is fixed to go online.Jiguang, go to the manufacturer offline. (If there are developers who specify their own strategies issued by manufacturers, please pay attention. When using bright screen push, you do not need to specify a strategy, or you must specify it assecondary_push)
      7. This function is a value-added paid service and requires additional application permissions. You canContact Business Consulting
    • options.need_backup:Whether to use the bright-screen push cover-up strategy?true-Use the bright-screen cover-up strategy,false-Do not use the bright screen cover-up strategy, the default valuefalse。

      1. If this field is specified astrue,butactive_pushField value must betrue。
      2. Whether to use the cover-up strategy is mainly to confirm the processing logic after the offline message expires.
      3. When using the cover-up policy to deliver: If it is a manufacturer user (after the offline message expires 0-5 Delivered through the manufacturer channel within minutes), if it is a non-manufacturer user (after the offline message expires, it will be delivered directly if the user is online; if the user is offline, it will be discarded).
        For example, push this message at 8 a.m. and set the offline time for 2 hours. exist 8:00 - 10:00 Within the time limit, when the device's screen turns on, it will trigger the message to be sent. Remaining unsent users, upon arrival10:00back,0-5 The remaining messages within minutes will be distributed through the manufacturer channel.
      4. When delivering without using the cover-up policy: Offline messages that are not delivered after expiration will be discarded directly, regardless of whether they are manufacturer users or not.

    situational businessPush illustrate

    1. Background: Various domestic manufacturers have strictly classified and managed messages and implemented differentiated quota control. For example, in most cases, the limit for marketing messages is 2 messages/device/application/day, which has a direct impact. APP Business-critical message push affects user behavior link conversion.

    2. Based on the above background,JiguangAt present, we have reached in-depth commercial cooperation with some manufacturers, and enjoy the privilege of increasing the payment limit, breaking through the system's default operating message push limit, achieving unlimited access to key marketing nodes, and ensuring that key information reaches target users.

    3. This function is a value-added paid service and requires additional application permissions. You can Contact Business Consulting


    Usage steps:

    • Step 1: Need to enter【JiguangConsole]-[Message Push]-[Push Settings]-[Integration Settings]-[Android】Page, synchronization is enabled. Vendor operation exceeds the limit and goes to business.PushChannel delivery function. ​

      Special note: If the value does not exceed the above configuration, it is free.PushThe channel is issued; if it exceeds the configured value, it will be commercialized.PushChannel distribution; it is recommended to follow the manufacturer's instructions APP The actual quota allocation, and if the quota exceeds the quota, it will be commercialized, which can not only ensure delivery to the maximum extent, but also save costs to the maximum extent.

    • Step 2: Push API Specify options.mkt_enable situational business Push field value,true-Use case businessPushability,false-Do not use situational businessPushcapabilities, defaultfalse。

    Test Mode Description

    • options.test_model: Whether to push in test mode,false: Official mode push message (default value),true: Test mode push message
      1. Test mode push messages are only pushed to the test device; please refer to the documentation for functional logic:test mode
      2. Please pay attention to distinguish the difference options.test_message Fields: options.test_message It is only used to adapt to the manufacturer's test message function, and does not mean that it is pushed in test mode; options.test_model It means that the request is inJiguangWhen the platform delivers the message, it has been controlled whether the message is only delivered to the test device.
      3. This function is a value-added paid service and requires additional application permissions. You canContact Business Consulting

    third_party_channel illustrate

    • options.third_party_channel: key Only supports xiaomi、huawei、honor、meizu、oppo、vivo、fcm 、asus、hmostype user. key Can exist for one or more of the above 10 types at the same time, not passed key The corresponding manufacturer delivers the default delivery logic.

      1. Special Note 1: If specified fcm typekey, the allow delivery policy field hasdistribution、distribution_fcm,「distribution” field is for pureGoogleSystem device (the device can only getfcm token),「distribution_fcm” field is for Google + Domestic manufacturer combination system (equipment can be obtainedfcm token, you can also get domesticAndroidManufacturertoken); and specify the policy for notification messages (notification) and custom messages (message) are effective.
      2. Special Note 2: If specified hmos typekey, the delivery policy field allowed is onlydistribution,「distribution"The value range of the field is explained as follows; and distribution Field for Hongmeng platform notification message (notification) and custom messages (message) are effective; when no message delivery strategy is specified, the default strategy isfirst_ospush。
    • Default delivery logic

      • Free users:distribution The default value is secondary_push,distribution_fcm The default value is secondary_fcm_push。
      • VIP user:distribution The default value is first_ospush,distribution_fcm The default value is fcm。
    • Manufacturer type KEY The corresponding 3 strategy parameters are as follows:

    Keywords type Options meaning illustrate
    distribution string Optional Notification bar message delivery logic The value cannot be an empty string.
  • first_ospush(VIP): Devices that successfully register with the manufacturer channel go through the manufacturer channel and only registerJiguangChannel equipment goesJiguangaisle.
  • ospush(VIP): Indicates that the push is forced to be delivered through the manufacturer channel. Special attention needs to be paid. As long as the quota corresponding to the manufacturer that specifies this value is not enough, the push request will fail and return 1012 error code.
    Example: Suppose you specify a Xiaomi user’s RegistrationID Push, when requesting, it is targeted at Xiaomi,OPPO Wait for the manufacturer channel to specify "ospush",and OPPO If the quota for both vendor channels has been used up, the push will also be returned. 1012 Error, indicating that the manufacturer's quota is insufficient.
  • jpush: Indicates push to force the moveJiguangchannel is issued.
  • secondary_push: Indicates push priority.Jiguang,JiguangIf you are not online, contact the manufacturer. The manufacturer will serve as an assistant (this method is recommended).
  • Special attention 1: This field is very important tofcmNotification message (notification) and custom messages (message) are effective; when no message delivery strategy is specified, the default strategy isfirst_ospush。
  • Special attention 2: This field is very important tohmosThe platform notifies the Hongmeng platform (notification) and custom messages (message) are effective; when no message delivery strategy is specified, the default strategy isfirst_ospush。
  • distribution_fcm string Optional Notification bar message fcm+ Domestic manufacturer combination type issuance logic The value cannot be an empty string.
  • jpush: Indicates push to force the moveJiguangchannel is issued.
  • fcm(VIP): Indicates push to force the move fcm channel is issued.
  • pns(VIP): Indicates push to force Xiaomi/Huawei/Honor/Meizu /oppo/vivo channel is issued.
  • secondary_fcm_push: indicates for fcm+ Domestic manufacturer combination type users will be pushed firstJiguang,JiguangDon’t leave until you are online fcm aisle,fcm As an auxiliary.
  • secondary_pns_push: indicates for fcm+ Domestic manufacturer combination type users will be pushed firstJiguang,JiguangIf you are not online, go to the manufacturer channel, and the manufacturer will serve as an assistant.
  • distribution_customize string Optional Custom message domesticAndroidVendor type delivery logic define domesticAndroidThe logic for vendor-type users to issue custom messages. This function only supports huawei、honor channel, required Android push SDK≥V3.9.0。
    ⚠️Note: Xiaomi pushed on2022The service of transmitting transparent messages will stop at 0:00 on September 12, 2020. At that time, you will not be able to send transparent messages through Xiaomi channels. Please pay attention to adjusting the distribution strategy. For details, see Xiaomi official announcement
  • jpush: Indicates push to force the moveJiguangchannel is issued.
  • first_ospush(VIP): Devices that successfully register with the manufacturer channel go through the manufacturer channel and only registerJiguangChannel equipment goesJiguangaisle.
  • secondary_push: Indicates push priority.Jiguang,JiguangIf you are not online, go to the manufacturer, and the manufacturer will serve as a supplement.
  • Different types of manufacturers KEY The following attribute parameters can exist:

    Keywords type Options meaning illustrate
    channel_id string Optional Notification bar message classification
  • In order to adapt to Xiaomi, Huawei,oppoFor mobile phone manufacturer notification bar message classification, developers can apply to the mobile phone manufacturer themselves. For specific application rules, please refer to: Vendor Message Classification Usage Guide
  • Note that applications whose data processing location is China do not support this field. For details, see Huawei custom notification channel
  • android There are also channel_id field. If this field is populated, it will be used first. If there is no padding, it will be used. android.channel_id ’s definition shall prevail.
  • Special note: due to OPPO Manufacturer 2024.11.20 implementOPPONew rules for message classification, it is recommended that you complete both this field and thecategory、notify_levelfield.
  • skip_quota boolean Optional Quota Judgment and Deduction Whether to skip quota judgment and deduction is currently only available for Xiaomi and oppo Valid, default is false。
  • true:Indicates skipping judgment and skipping deductionsJiguangside quota.
  • false:Indicates that judgment and deduction will not be skippedJiguangside quota.
  • classification int Optional Notification bar message classification vivo The notification bar message classification of the mobile phone manufacturer. If left blank, the default value is 0.
  • This field has a lower priority and will be options.classification The set value overrides, please be sure to set options.classification value.
  • 0: Represents operational news.
  • 1: Represents system message.
    at present vivo The classification of system messages is relatively strict. For specific rules, please refer to:vivo

    about classification and skip_quota Field description:
  • Not transitive classification field, but passed skip_quota When the application deducts the quota from the customer's passed skip_quota The developer needs to manage the quota himself.
  • transfer classification, will be ignored skip_quota value,Jiguangwill follow Manufacturer "System Message", "Operation Message" Category Rules automatically determine whether to deduct quotas to help developers manage quotas.
  • push_mode int Optional Notification bar message type correspond vivo of pushMode field, defaults to 0 if not filled in. For details, please refer to:vivo pushMode
  • 0: Indicates official push.
  • 1: Indicates test push.
  • importance string Optional Intelligent classification of Huawei and Honor notification bar messages In order to adapt to the intelligent classification of notification bar messages of Huawei and Honor mobile phone manufacturers, it corresponds to Huawei/Honor's "Cloud Notification"importance If the field is not filled in, it will not be issued. Reference: Intelligent classification of Huawei notification messages Honor notification message classification standards
  • LOW: General news.
  • NORMAL: Important news.
  • HIGH: Very important message (only supported by Huawei).
  • Note 1: Huawei from 2023.09.15 Began to jointly manage and control the push of its cloud notifications and local notifications based on the "Huawei Message Classification Standards", and developers passedJiguangWhen the service initiates a push, please note that the value passed in this field must comply with Huawei's official "Cloud Notification" importance"The value requirement must be consistent with"Huawei Cloud Notice category"ValueRequirements correspond.
  • category string Optional Huawei,vivo、OPPO Vendor message scene identifier In order to adapt to Huawei,vivo、OPPO Mobile phone manufacturer messages are used to identify the "Cloud Notification" message type, determine the message reminder method, and speed up the sending of specific types of messages.
  • Corresponding values ​​and their descriptions refer to:Huawei category Value description vivo Classification criteria
  • oppo category Value description
  • Note 1: Huawei needs to complete Application for self-categorization rights
  • Note 2: Huawei from 2023.09.15 Began to jointly manage and control the push of its cloud notifications and local notifications based on the "Huawei Message Classification Standards", and developers passedJiguangWhen the service initiates a push, please note that the value passed in this field must comply with Huawei’s official"Huawei Cloud Notice category"ValueRequire.
  • Note 3:vivo Specific rules reference vivo Official description
  • Note 4:OPPOAt2024.11.20Implement new message classification rules, please refer to the specific rules OPPO Official description
  • notify_level int Optional OPPONotification bar message reminder level
  • Note 1: Official value definition: 1-notification bar, 2-notification bar + lock screen,16-Notification bar + lock screen + banner + vibration + ringtone; developers are required to pass it according to the official website definition.JiguangOnly transparent transmission is performed.
  • Note 2: According to official instructions notify_level Field, only effective for "service and communication" messages
  • Instructions 3: Usenotify_levelparameters,categoryParameters must be passed
  • sound string Optional Huawei custom ringtone
  • Ringtone files must be stored in the application /res/raw path, for example "/res/raw/shake.mp3",correspond sound The value parameter is "/raw/shake”, no suffix is ​​required, supported formats include MP3、WAV、MPEG wait.
  • Only push to the application for the first time Services and communications The settings are valid when the default_sound Use together, refer to details How to implement a custom ringtone
  • default_sound boolean Optional Huawei default ringtone control switch Huawei officially explains that it will push apps for the first time Services and communications carry with you sound field and default_sound The value is set to false. Note: Since the ringtone is a property of the notification channel, the ringtone is only used when the channel is first created (settings sound) is valid and cannot be modified later.
  • true: Use the system default ringtone.
  • false:use sound Custom ringtone.
  • urgency string Optional Huawei manufacturer-defined message priority In order to adapt to the priority of customized messages by Huawei mobile phone manufacturers.
  • HIGH: Very important news,HIGH When the level message reaches the user's mobile phone, the application process can be forced to be launched.
  • NORMAL: Important news.
    set up"HIGH"You need to apply for special permissions from Huawei, please refer to: How to apply for special permissions
  • receipt_id string Optional Huawei receipt ID
  • Only valid for Huawei channels.
  • Enter a unique receipt ID to specify the receipt address and configuration of this downlink message. The receipt ID can be found in Huawei return receipt parameter configuration View in.
  • callback_id string Optional vivoReceipt ID
  • onlyvivoThe channel is valid.
  • Enter a unique receipt ID to specify the receipt address and configuration of this downlink message. The receipt ID can be found in vivoReturn receipt parameter configuration View in.
  • target_user_type int Optional Huawei/Honor message type Only valid for Huawei and Honor channels.
  • 0: Normal message (default value)
  • 1: Test message.
    Each Huawei app can send this test message every day 500 not subject to Huawei’s daily push limit requirements for a single device
    Each Honor app can send this test message every day 1000 not subject to Honor’s daily push limit requirements for a single device
  • large_icon string Optional Manufacturer news large icon style
  • Support Huawei / Honor / oppo Manufacturer, see usage details Set icon document
  • The manufacturer field is used first. If the manufacturer field is not filled in, use android inside definition large_icon Field android within large_icon
  • Xiaomi from 2023.08 The function of dynamically setting small icons, right icons, and large pictures during push is no longer supported.
  • Huawei and Honor supportJiguangof media_id and network https path.
  • oppo supportJiguangof media_id and oppo The manufacturer's large icon id.
  • JPush Android SDK v3.9.0 This field is only supported in versions above.
  • small_icon_uri string Optional Manufacturer message small icon style
  • Currently supports Huawei/Honor manufacturers, please refer to the usage details Set icon document
  • The manufacturer field is used first. If the manufacturer field is not filled in, use android within small_icon_uri field.
  • Huawei and Honor supportJiguangof media_id and the manufacturer's local path. (Xiaomi from 2023.08 The function of dynamically setting small icons, right icons, and large pictures during push is no longer supported. It is recommended that developers do not continue to use Xiaomi-related features).
  • Please note: If the push is an operational message (marketing message), the Honor channel does not support icons, otherwise the push will directly fail.
  • small_icon_color string Optional Xiaomi manufacturer small icon style color
  • In order to adapt to the Xiaomi manufacturer's message icon style color, the default color is gray if not filled (Xiaomi official will no longer support custom small icons in the future, and developers are advised not to continue to use Xiaomi small icon related features and functions).
  • JPush Android SDK v3.9.0 This field is only supported in versions above.
    Xiaomi from 2023.08 The function of dynamically setting small icons, right icons, and large pictures during push is no longer supported. Developers can no longer set this field value.
  • style int Optional Manufacturer message large text /inbox/ large picture style Used to specify the manufacturer's notification bar style type,JPush Android SDK v3.9.0 This field is only supported in versions above and defaults to 0.
  • 1:bigText
  • 2:Inbox
  • 3:bigPicture
  • Special note: The actual display effect is subject to the terminal device and is determined by the device system.
  • big_text string Optional Manufacturer message large text style
  • In order to adapt to the manufacturer's message large text style, it currently supports Xiaomi / Huawei / Honor / oppo Manufacturer.
  • The manufacturer field is used first. If the manufacturer field is not filled in, use android inside definition big_text Field android within big_text
  • Among them, Xiaomi supports the most 128 characters (one English or one Chinese character counts as one character), with Xiaomi style use,oppo At most, it supports 128 characters, match style use.
[...]
